<div class="layout-block page-profile clearfix">
    <form class="form-horizontal form-style" [formGroup]="form">
        <div class="area-block clearfix">
            <div class="col-md-12">
                <div class="row margin-top">
                    <div class="col-md-2 top-info">
                        <div class="text-center">
                            <img class="img-responsive img-circle"
                                [src]="form.controls.avatar.value ? form.controls.avatar.value : '/assets/images/avatar.png'"
                                alt="">
                        </div>
                        <div class="text-center">
                            <label class="btn btn-info btn-xs mt5 waves-effect button-change-avatar">
                                <i class="far fa-images"></i> {{'Change image'}}
                                <input type="file" name="avatar" accept="image/*" (change)="handleInputChange($event)">
                            </label>
                        </div>
                    </div>
                    <div class="col-md-2">
                        <custom-input [label]="'Họ và Tên'" >
                            <input inputRef type="text"  formControlName="full_name" class="form-control"
                                placeholder="">
                        </custom-input>
                    </div>
                    <div class="col-md-2">
                        <custom-input [label]="'Tài khoản'">
                            <input inputRef type="text" formControlName="code" class="form-control" placeholder="">
                        </custom-input>
                    </div>
                    <div class="col-md-2">
                        <custom-input [label]="'Email'">
                            <input inputRef type="text" formControlName="email" readonly="true" class="form-control"
                                placeholder="">
                        </custom-input>
                    </div>
                    <div class="col-md-2">
                        <custom-input [label]="'số điện thoại'">
                            <input inputRef type="text" formControlName="phone" class="form-control" placeholder="">
                        </custom-input>
                    </div>
                    <div class="col-md-2">
                        <custom-input [label]="'Status'">
                            <select inputRef disabled="disabled" formControlName="is_active" class="form-control">
                                <option value="1">{{'Active'}}</option>
                                <option value="0">{{'Inactive'}}</option>
                            </select>
                        </custom-input>
                    </div>
                    <div class="col-md-2">
                        <custom-input [label]="'Language'">
                            <select inputRef formControlName="language" class="form-control select-lang">
                                <option [value]="'VI'">{{'Việt Nam'}}</option>
                                <option [value]="'EN'">{{'English'}}</option>
                            </select>
                        </custom-input>
                    </div>
                    <div class="col-md-2">
                        <custom-input [label]="'Password'" [hidden]="!changePass&&Action!=='new'" [validations]="{ required: 'Password required'}">
                            <input inputRef type="password" formControlName="password" class="form-control" placeholder="">
                        </custom-input>
                    </div>
                    <div class="col-md-2">
                        <custom-input [label]="'Retype Password'" [hidden]="!changePass&&Action!=='new'">
                            <input inputRef type="password" formControlName="retype_password" class="form-control"
                                placeholder="">
                        </custom-input>
                    </div>
                    
                </div>
                <div class="button pull-right panel-footer">
                    <button type="button" (click)="_changePass()" class="btn btn-default" tabindex="20">
                        {{'Change password'}}
                    </button>
                    <button type="submit" (click)="Save()" class="btn btn-primary pull-right"
                        *ngIf="Action!=='edit'">{{'Save Changes'}}
                    </button>
                </div>
            </div>
        </div>
    </form>
</div>